%define momorel 1
Name: 		gnome-system-tools
Summary:	GNOME System Tools
Version: 0.34.0
Release: %{momorel}m
License: 	LGPL
Group: 		Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.34/%{name}-%{version}.tar.gz
Patch:		gnome-system-tools-momonga.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.gnome.org/projects/gst/
BuildPrereq: libglade-devel >= 1.99.5
BuildPrereq: libxml2-devel >= 2.4.12
BuildPrereq: libgnomeui-devel >= 1.109.0
BuildPrereq: vte >= 0.10.19
Prereq:	GConf

Nosource:	0

%description
Day-to-day system management on Unix systems is a chore. Even when you're using a friendly graphical desktop, seemingly basic tasks like setting the system time, changing the network setup, importing and exporting network shared filesystems and configuring swap partitions requires editing configuration files by hand, and the exact procedure varies between different operating systems and distributions.

The GNOME System Tools solve all these problems, giving you a simple graphical interface for each task, which uses an advanced backend to edit all the relevant files and apply your changes. The interface looks and acts in exactly the same way regardless of what platform you're using.

%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-system-tools.schemas > /dev/null

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING HACKING NEWS ChangeLog
%{_sysconfdir}/X11/sysconfig/*.desktop
%{_sysconfdir}/gconf/schemas/gnome-system-tools.schemas
%{_bindir}/*-admin
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gnome-system-tools
%{_datadir}/setup-tool-backends
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/*.desktop

%changelog
* Wed Jul 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.34.0-1m)
- update to 0.34.0

* Thu Dec 18 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.30.0-1m)
- version 0.30.0

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.28.0-1m)
- version 0.28.0

* Thu Jun 24 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.26.1-2m)
- add BuildPrereq: vte >= 0.10.19
- modify %doc directory

* Mon Jun 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.26.1-1m)
- version 0.26.1

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.26.0-1m)
- version 0.26.0

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.25.0-1m)
- version 0.25.0

* Mon Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.24.0-2m)
- rebuild against for XFree86-4.3.0

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.24.0-1m)
- version 0.24.0

* Fri Mar  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.23.0-2m)
  rebuild against openssl 0.9.7a

* Mon Feb 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.23.0-1m)
- version 0.23.0

* Wed Dec 04 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.22.0-1m)
- version 0.22.0

* Wed Sep 18 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (0.21.0-2m)
- fix defattr
- Copyright -> License

* Wed Sep 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.21.0-1m)
- version 0.21.0

* Wed Sep  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.20.0-1m)
- import
